Loading...
Searching...
No Matches
parser.h File Reference

Low-level URL parsing functions. More...

`#include <string_view>`
`#include <variant>`
`#include "ada/expected.h"`
`#include "ada/url_pattern_regex.h"`
`#include "ada/url_pattern_init.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::parser
| Internal URL parsing implementation.

## Functions

template<typename result_type = url_aggregator>
result_type | ada::parser::parse_url (std::string_view user_input, const result_type *base_url=nullptr)
template url_aggregator | ada::parser::parse_url< url_aggregator > (std::string_view user_input, const url_aggregator *base_url)
template url | ada::parser::parse_url< url > (std::string_view user_input, const url *base_url)
template<typename result_type = url_aggregator, bool store_values = true>
result_type | ada::parser::parse_url_impl (std::string_view user_input, const result_type *base_url=nullptr)
template url_aggregator | ada::parser::parse_url_impl< url_aggregator > (std::string_view user_input, const url_aggregator *base_url)
template url | ada::parser::parse_url_impl< url > (std::string_view user_input, const url *base_url)

## Detailed Description

Low-level URL parsing functions.

This header provides the internal URL parsing implementation. Most users should use ada::parse() from implementation.h instead of these functions directly.

See also
  implementation.h for the recommended public API

Definition in file parser.h.